Update a webhook
Updates a webhook's name, URL, subscribed events, channels, custom headers, or status and returns the updated endpoint.
Updates a webhook's name, URL, subscribed events, channels, custom headers, or status and returns the updated endpoint.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^wep_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?|null
url?string|null
eventTypes?array<>|null
channels?array<>|null|null
headers?|null
status?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/webhooks/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "url": "string", "eventTypes": [ "message.sent" ], "channels": [ "email" ], "status": "active", "hasCustomHeaders": true, "failureStartedAt": "string", "lastSucceededAt": "string", "createdAt": "string", "updatedAt": "string"}